---
title: Revoke authorization
slug: apis/payments/checks/revoke-authorization
description: Revoke positive pay approval via POST /checks/v1/positive-pay-authorizations/{id}/revoke
icon: {"apiMethod":"POST"}
docTags: 
createdAt: 2025-05-06T08:42:28.209Z
---

## Relevant webhooks

For this endpoint be sure you have [registered](docId\:BN5XtgkJogBe-CtwomCbS) for these webhooks:

- [Check.Payment.Received](docId\:cWUBvaS0BDIfokyxu5LhQ)&#x20;
- [Check.PositivePay.Revoked](docId\:cWUBvaS0BDIfokyxu5LhQ)&#x20;

## API reference

Revokes [Positive Pay](docId\:qMy-Hnem-DnbIioD8z2jS) authorization already given for a specific check. You can only revoke authorization prior to the authorization expiration date.

:::ApiMethodV2
```json
{
  "name": "Endpoint: /checks/v1/positive-pay-authorizations/{id}/revoke",
  "method": "POST",
  "url": "https://sandbox.crbcos.com/checks/v1/positive-pay-authorizations/{id}/revoke",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "C57PnRkRzpPg0u7vhM1aA",
        "language": "curl",
        "code": "curl --location --request POST 'https://sandbox.crbcos.com/checks/v1/positive-pay-authorizations/bf50797f-bdd7-4cc9-8efc-b30d008043d3/revoke' \\\n--data ''",
        "customLabel": ""
      },
      {
        "id": "2JDChadtjSFrvkleIG1sL",
        "language": "nodejs",
        "code": "var https = require('follow-redirects').https;\nvar fs = require('fs');\n\nvar options = {\n  'method': 'POST',\n  'hostname': 'sandbox.crbcos.com',\n  'path': '/checks/v1/positive-pay-authorizations/bf50797f-bdd7-4cc9-8efc-b30d008043d3/revoke',\n  'headers': {\n  },\n  'maxRedirects': 20\n};\n\nvar req = https.request(options, function (res) {\n  var chunks = [];\n\n  res.on(\"data\", function (chunk) {\n    chunks.push(chunk);\n  });\n\n  res.on(\"end\", function (chunk) {\n    var body = Buffer.concat(chunks);\n    console.log(body.toString());\n  });\n\n  res.on(\"error\", function (error) {\n    console.error(error);\n  });\n});\n\nreq.end();",
        "customLabel": ""
      },
      {
        "id": "PZPajjvm95krJMSi4SJ70",
        "language": "python",
        "code": "import http.client\n\nconn = http.client.HTTPSConnection(\"sandbox.crbcos.com\")\npayload = ''\nheaders = {}\nconn.request(\"POST\", \"/checks/v1/positive-pay-authorizations/bf50797f-bdd7-4cc9-8efc-b30d008043d3/revoke\", payload, headers)\nres = conn.getresponse()\ndata = res.read()\nprint(data.decode(\"utf-8\"))",
        "customLabel": ""
      },
      {
        "id": "UhE3WsQed3xik4pOSsJh8",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"net/http\"\n\nurl = URI(\"https://sandbox.crbcos.com/checks/v1/positive-pay-authorizations/bf50797f-bdd7-4cc9-8efc-b30d008043d3/revoke\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      },
      {
        "id": "5vy8Er-NjMCaBEhoxMyuf",
        "language": "go",
        "code": "package main\n\nimport (\n  \"fmt\"\n  \"strings\"\n  \"net/http\"\n  \"io\"\n)\n\nfunc main() {\n\n  url := \"https://sandbox.crbcos.com/checks/v1/positive-pay-authorizations/bf50797f-bdd7-4cc9-8efc-b30d008043d3/revoke\"\n  method := \"POST\"\n\n  payload := strings.NewReader(``)\n\n  client := &http.Client {\n  }\n  req, err := http.NewRequest(method, url, payload)\n\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  res, err := client.Do(req)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  defer res.Body.Close()\n\n  body, err := io.ReadAll(res.Body)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  fmt.Println(string(body))\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "C57PnRkRzpPg0u7vhM1aA"
  },
  "results": {
    "languages": [
      {
        "id": "UMLrTwLcOrwmKN6RHJT6G",
        "language": "200",
        "customLabel": "",
        "code": "{\n    \"id\": \"bf50797f-bdd7-4cc9-8efc-b30d008043d3\",\n    \"status\": \"Revoked\",\n    \"accountNumber\": \"2640511503\",\n    \"payeeName\": \"John Strong\",\n    \"checkNumber\": \"64958137456\",\n    \"amount\": 10000,\n    \"createdAt\": \"2025-07-01T03:46:59.903-04:00\",\n    \"expiresAt\": \"2025-07-19T08:12:27.27-04:00\",\n    \"revokedAt\": \"2025-07-01T03:54:23.1845224-04:00\",\n    \"productId\": \"83bed086-8182-4151-a1e3-af5b01362783\",\n    \"partnerId\": \"cd9c12f4-7691-424a-b38b-af5b0134c611\",\n    \"lastModifiedAt\": \"2025-07-01T03:54:23.2001547-04:00\"\n}"
      }
    ],
    "selectedLanguageId": "UMLrTwLcOrwmKN6RHJT6G"
  },
  "request": {
    "pathParameters": [
      {
        "name": "id",
        "kind": "required",
        "type": "string",
        "description": "Positive pay authorization ID received in the initial authorization response (id attribute).\nTo revoke a check issued using the print check payment API (POST /checks/v1/printed-payments), use the ID returned in the response.",
        "": "Positive pay authorization ID received in the initial authorization response (id attribute).\nTo revoke a check issued using the print check payment API (POST /checks/v1/printed-payments), use the ID returned in the response."
      }
    ],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Path Parameter",
    "value": "pathParameters"
  },
  "response": [
    {
      "name": "id",
      "kind": "optional",
      "type": "string",
      "description": "Positive pay authorization ID.\n\nSave this GUID format ID as proof that the check was authorized using Positive Pay, and for use if you revoke authorization.Positive pay authorization ID.\n\nSave this GUID format ID as proof that the check was authorized using Positive Pay, and for use if you revoke authorization."
    },
    {
      "name": "status",
      "kind": "optional",
      "type": "string",
      "description": "Status of the positive pay record:\n\n- Authorized\n- Paid\n- Revoked",
      "children": []
    },
    {
      "name": "accountNumber",
      "kind": "optional",
      "type": "string",
      "description": "Number of the account the check is drawn on",
      "children": []
    },
    {
      "name": "payeeName",
      "kind": "optional",
      "type": "string",
      "description": "Name written on the pay to the order of line of the check",
      "children": []
    },
    {
      "name": "checkNumber",
      "kind": "optional",
      "type": "string",
      "description": "The serial number that appears on the check",
      "children": []
    },
    {
      "name": "amount",
      "kind": "optional",
      "type": "Integer",
      "description": "Money amount that appears on the check",
      "children": []
    },
    {
      "name": "relatedPaymentId",
      "kind": "optional",
      "type": "string",
      "description": "Unique identifier for the check payment",
      "children": []
    },
    {
      "name": "createdAt",
      "kind": "optional",
      "type": "string",
      "description": "The date and time the record was created. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm]",
      "children": []
    },
    {
      "name": "expiresAt",
      "kind": "optional",
      "type": "string",
      "description": "The date and time the authorization expires. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm]",
      "children": []
    },
    {
      "name": "revokedAt",
      "kind": "optional",
      "type": "string",
      "description": "The date and time authorization was revoked. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm]",
      "children": []
    },
    {
      "name": "productId",
      "kind": "optional",
      "type": "string",
      "description": "ID in GUID format of your specific product type on which the Cross River account is based. Provided by Cross River. ",
      "children": []
    },
    {
      "name": "partnerId",
      "kind": "optional",
      "type": "string",
      "description": "Your unique ID in the Cross River system. This ID is in GUID format.",
      "children": []
    },
    {
      "name": "lastModifiedAt",
      "kind": "optional",
      "type": "string",
      "description": "Internal Cross River value. Date and time the database entry was last modified. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm]",
      "children": []
    }
  ],
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "endpoint-checksv1positive-pay-authorizationsidrevo",
  "legacyHash": "bPjFtsT3ikq2sRe8U3uPP"
}
```
:::

